import QtQuick 1.1
import com.nokia.meego 1.0
import Lib 1.3

Page {
    orientationLock: PageOrientation.LockPortrait
    Parser{
        id: pars
        onZapisiRez: lineRez.text=rez;
        onDeleted1: lineUnos.text=rez2
    }


    TextEdit{
        id: lineUnos
        anchors{left:parent.left;right:parent.right;top:parent.top;}
        height: 80
        width: 480
        font.pointSize: 30
        Rectangle { anchors.fill: parent
            border { color: "black"   }
            border.width: 2
            color: "transparent"
        }
        color: "steelblue"
        horizontalAlignment: Text.AlignLeft
        readOnly:true;
    }
    Text{
        id: lineRez
        anchors{top: lineUnos.bottom; left: parent.left; right: parent.right}
        height: 80
        width: 480
        color: "#fb0202"
        style: Text.Sunken
        font.pointSize: 30
        horizontalAlignment: Text.AlignRight
        verticalAlignment: Text.AlignBottom
        text:"0"

    }

    Grid{
        id: baze
        columns: 4
        width: 480
        spacing: 1
        height: 150
        anchors{
            left:parent.left;
            right:parent.right;
            bottom:slova.top}
        Button{
            id: btnBIN
            text: "BIN"
            width: parent.width/4;
            height: parent.height
            onClicked: {
                btnBIN.enabled=false
                btnOCT.enabled=true
                btnDEC.enabled=true
                btnHEX.enabled=true

                btnA.enabled=false
                btnB.enabled=false
                btnC.enabled=false
                btnD.enabled=false
                btnE.enabled=false
                btnF.enabled=false
                btn9.enabled=false
                btn8.enabled=false
                btn7.enabled=false
                btn6.enabled=false
                btn5.enabled=false
                btn4.enabled=false
                btn3.enabled=false
                btn2.enabled=false
                pars.postaviBazu(2)
                pars.preracunajBazu(lineRez.text);
                //pars.deri(lineRez.text)

            }
        }

        Button{
            id:btnOCT
            text:"OCT"
            width: parent.width/4;
            height: parent.height
            onClicked:{
                btnOCT.enabled=false
                btnHEX.enabled=true
                btnDEC.enabled=true
                btnBIN.enabled=true

                btnA.enabled=false
                btnB.enabled=false
                btnC.enabled=false
                btnD.enabled=false
                btnE.enabled=false
                btnF.enabled=false
                btn9.enabled=false
                btn8.enabled=false
                btn7.enabled=true
                btn6.enabled=true
                btn5.enabled=true
                btn4.enabled=true
                btn3.enabled=true
                btn2.enabled=true
                pars.postaviBazu(8)
                pars.preracunajBazu(lineRez.text);
               // pars.deri(lineRez.text)

            }
        }
        Button{
            id:btnDEC
            text:"DEC"
            width: parent.width/4;
            height: parent.height
            onClicked:{

                btnDEC.enabled=false
                btnHEX.enabled=true
                btnOCT.enabled=true
                btnBIN.enabled=true

                btnA.enabled=false
                btnB.enabled=false
                btnC.enabled=false
                btnD.enabled=false
                btnE.enabled=false
                btnF.enabled=false
                btn9.enabled=true
                btn8.enabled=true
                btn7.enabled=true
                btn6.enabled=true
                btn5.enabled=true
                btn4.enabled=true
                btn3.enabled=true
                btn2.enabled=true
                pars.postaviBazu(10)
                pars.preracunajBazu(lineRez.text);
                //pars.deri(lineRez.text)

            }
        }
        Button{
            id:btnHEX
            text:"HEX"
            width: parent.width/4;
            height: parent.height
            enabled:false
            onClicked:{
            btnHEX.enabled=false
            btnDEC.enabled=true
            btnOCT.enabled=true
            btnBIN.enabled=true;

            btnA.enabled=true
            btnB.enabled=true
            btnC.enabled=true
            btnD.enabled=true
            btnE.enabled=true
            btnF.enabled=true
            btn9.enabled=true
            btn8.enabled=true
            btn7.enabled=true
            btn6.enabled=true
            btn5.enabled=true
            btn4.enabled=true
            btn3.enabled=true
            btn2.enabled=true
                pars.postaviBazu(16)
                pars.preracunajBazu(lineRez.text);
                //pars.deri(lineRez.text)


        }
    }
 }

    Grid{
        id:slova
        columns: 6
        height: 90
        spacing: 1
        width: 480
        anchors{bottom: gridBrojke.top;
            left:parent.left;
            right:parent.right;
        }
        Button{
            id: btnA
            text: "A";
            width: parent.width/6;
            height: parent.height
            onClicked: lineUnos.text+="A"

        }
        Button{
            id: btnB
            text: "B";
            width: parent.width/6;
            height: parent.height
            onClicked: lineUnos.text+="B"

        }
        Button{
            id: btnC
            text: "C"
            width: parent.width/6;
            height: parent.height
            onClicked: lineUnos.text+="C"

        }
        Button{
            id:btnD
            text: "D"
            width: parent.width/6;
            height: parent.height
            onClicked: lineUnos.text+="D"

        }
        Button{
            id:btnE
            text: "E"
            width: parent.width/6;
            height: parent.height
            onClicked: lineUnos.text+="E"

        }
        Button{
            id:btnF
            text: "F"
            width: parent.width/6;
            height: parent.height
            onClicked: lineUnos.text+="F"

        }

    }



    Grid{
        columns: 5
        spacing: 1
        id: gridBrojke
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        height: 312

        Button{
            id: btn7
            text: "7"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="7"

        }
        Button{
            id: btn8
            text: "8"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="8"

        }
        Button{
            id: btn9
            text: "9"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="9"

        }
        Button{
            id: btnDel
            text: "del"
            width: parent.width/5
            height: parent.height/4
            onClicked: pars.reziZnak(lineUnos.text)

        }
        Button{
            id: btnClr
            text: "CLR"
            width: parent.width/5
            height: parent.height/4
            onClicked: {
                btnPlus.enabled=true;
                btnPuta.enabled=true;
                btnMinus.enabled=true;
                btnKroz.enabled=true;
                lineUnos.text=""
                lineRez.text="0"
            }
        }
        Button{
            id: btn4
            text: "4"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="4"

        }
        Button{
            id: btn5
            text: "5"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="5"

        }
        Button{
            id: btn6
            text: "6"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="6"

        }
        Button{
            id: btnPuta
            text: "*"
            width: parent.width/5
            height: parent.height/4
            onClicked: {
                btnPlus.enabled=false;
                btnPuta.enabled=false;
                btnMinus.enabled=false;
                btnKroz.enabled=false;
                lineUnos.text+="*"
            }


        }
        Button{
            id: btnKroz
            text: "/"
            width: parent.width/5
            height: parent.height/4
            onClicked: {
                btnPlus.enabled=false;
                btnPuta.enabled=false;
                btnMinus.enabled=false;
                btnKroz.enabled=false
                lineUnos.text+="/"
            }


        }
        Button{
            id: btn1
            text: "1"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="1"

        }
        Button{
            id: btn2
            text: "2"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="2"

        }
        Button{
            id: btn3
            text: "3"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="3"

        }
        Button{
            id: btnPlus
            text: "+"
            width: parent.width/5
            height: parent.height/4
            onClicked: {
                btnPlus.enabled=false;
                btnPuta.enabled=false;
                btnMinus.enabled=false;
                btnKroz.enabled=false
                lineUnos.text+="+"
            }

        }
        Button{
            id: btnMinus
            text: "-"
            width: parent.width/5
            height: parent.height/4
            onClicked: {
                btnPlus.enabled=false;
                btnPuta.enabled=false;
                btnMinus.enabled=false;
                btnKroz.enabled=falselineUnos.text+="-"
        }

        }
        Button{
            id: btn0
            text: "0"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="0"

        }
        Button{
            id: btnZagOtv
            text: "("
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="("
            enabled:false

        }
        Button{
            id: btnZagZatv
            text: ")"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+=")"
            enabled: false

        }
        Button{
            id: btnANS
            text: "ans"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="ans"
            enabled: false
        }
        Button{
            id: btnJednako
            text: "="
            width: parent.width/5
            height: parent.height/4
            //onClicked: pars.deri(lineUnos.text)
            onClicked: {

                pars.samarajBazu(lineUnos.text);
        }
        }
    }
}
