import QtQuick 1.1
import com.nokia.meego 1.0
import Lib 1.3

Page {
    orientationLock: PageOrientation.LockPortrait
    property string fix: ""
    property string gix: ""
    property double x_min: -5
    property double y_min: -5
    property double x_max: 5
    property double y_max: 5

    property double posto:1
    property double x_sre
    property double y_sre;//ovi su za zoomovanje u grafovima
    property double x_duz
    property double y_duz
    function labelUpdt(){
        xMin.text=x_min;
        xMax.text=x_max;
        yMin.text=y_min;
        yMax.text=y_max;
        clicky.visible=false
        pars.crtajGraf(x_min,x_max,y_min,y_max,fix,gix)


    }

    Parser{
        id: pars
        onVratiSliku: slika.source=img
        onVratiClicky:{
            clicky.visible=true;
            clicky.x=posX;
            clicky.y=posY;
            clicky.text=tekst;
        }

    }

    Image{
        id: slika
        anchors{top:parent.top
            left:parent.left
            right:parent.right
        }

        smooth:true
        height: 480
        Rectangle{
            border.color: "black"
            border.width: 2
            anchors.fill: parent
            radius: 10
            color:"transparent"
        }
        MouseArea{
            anchors.fill: parent
            onPositionChanged: pars.clicky(mouse.x,mouse.y,x_min,x_max,y_min,y_max)
        }

        Label{

            id: xMax
            text:x_max
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            width: 70
            maximumLineCount: 1
        }
        Label{
            id:xMin
            text:x_min
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            width: 70
            maximumLineCount: 1

        }
        Label{
            id: yMin
            text: y_min
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            width: 70
            maximumLineCount: 1

        }
        Label{
            id: yMax
            text: y_max
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            width: 70
            maximumLineCount: 1

        }
        Label{
            id: clicky
            visible: false
            width: 160
            height: 40
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            maximumLineCount: 1
            Rectangle{
                border.color: "green"
                border.width: 2
                anchors.fill: parent
                color:"transparent"
                radius: 5
            }
        }

    }
    Button{
        id:gore
        text:"+"
        anchors.top: slika.bottom
        height: 66
        width: 66
        onClicked: {
            y_max=y_max+0.1*(y_max-y_min);
            y_min=y_min+0.1*(y_max-y_min);
            labelUpdt();
        }

        x: 207
        y:480
    }
    Button{
        id: lijevo
        text:"-"
        anchors{top: gore.bottom; right: gore.left}
        height: 66
        width: 66
        onClicked:{
            x_max=x_max-0.1*(x_max-x_min);
            x_min=x_min-0.1*(x_max-x_min);
            labelUpdt();
        }
    }
    Button{
        id: zoomMinus
        text:"ZOOM-"
        anchors.left: parent.left
        anchors.top: gore.bottom
        height: 66
        width: 120
        onClicked:{
            x_sre=(x_max+x_min)/2;
            y_sre=(y_max+y_min)/2;
            x_duz=(x_max-x_min);
            y_duz=(y_max-y_min);
           if(posto==1.1)posto-=0.1;
           if(posto>1){

               posto-=0.1;
               x_duz*=posto;
               y_duz*=posto;
               x_min=x_sre-x_duz/2;
               x_max=x_sre+x_duz/2;
               y_min=y_sre-y_duz/2;
               y_max=y_sre+y_duz/2;
               /*x_max=x_max*posto;
               x_min=x_min*posto;
               y_max=y_max*posto;
               y_min=y_min*posto;*/
           }
           if(posto<=1&&posto>0.2){

               posto-=0.1;
               x_duz/=posto;
               y_duz/=posto;
               x_min=x_sre-x_duz/2;
               x_max=x_sre+x_duz/2;
               y_min=y_sre-y_duz/2;
               y_max=y_sre+y_duz/2;
           /*x_max=x_max/posto;
           x_min=x_min/posto;
           y_max=y_max/posto;
           y_min=y_min/posto;*/

           }
           labelUpdt();
        }
    }
    Button{
        id: desno
        text:"+"
        anchors{top: gore.bottom; left: gore.right}
        height: 66
        width: 66
        onClicked: {
            x_max=x_max+0.1*(x_max-x_min);
            x_min=x_min+0.1*(x_max-x_min);
            labelUpdt();
        }
    }
    Button{
        id: zoomPlus
        text: "ZOOM+"
        anchors.right: parent.right
        anchors.top: gore.bottom

        height: 66
        width: 120
        onClicked:{
            x_sre=(x_max+x_min)/2.0;
            y_sre=(y_max+y_min)/2.0;

            x_duz=(x_max-x_min);
            y_duz=(y_max-y_min);

           if(posto==0.9)posto+=0.1;
           if(posto<1){

               posto+=0.1;
               x_duz*=posto;
               y_duz*=posto;
               x_min=x_sre-x_duz/2.0;
               x_max=x_sre+x_duz/2.0;
               y_min=y_sre-y_duz/2.0;
               y_max=y_sre+y_duz/2.0;
           /*x_max=x_max*posto;
           x_min=x_min*posto;
           y_max=y_max*posto;
           y_min=y_min*posto;*/

              }
           if(posto>=1&&posto<2){

               posto+=0.1;
               x_duz/=posto;
               y_duz/=posto;
               x_min=x_sre-x_duz/2;
               x_max=x_sre+x_duz/2;
               y_min=y_sre-y_duz/2;
               y_max=y_sre+y_duz/2;
               /*x_max=x_max/posto;
               x_min=x_min/posto;
               y_max=y_max/posto;
               y_min=y_min/posto;*/
           }
           labelUpdt();
        }
    }
    Button{
        id: dole
        text: "-"
        anchors{top: lijevo.bottom; left: lijevo.right}
        height: 66
        width: 66
        onClicked:{
            y_max=y_max-0.1*(y_max-y_min);
            y_min=y_min-0.1*(y_max-y_min);
            labelUpdt();
        }
    }
    Button{
        id: reStart
        text: "(re)Start"
        anchors{top: desno.bottom; right: parent.right;}
        height: 66
        width: 120
        onClicked:{
            x_min=-5
            x_max=5
            y_min=-5
            y_max=5
            labelUpdt();
        }
    }

    Label{
        id: fixPrikaz
        anchors{left:parent.left; top: dole.bottom}
        width: 480
        height: 30
        color:"red"
        text:"f(x)= "+fix
    }
    Label{
        id: gixPrikaz
        anchors{left:parent.left; top: fixPrikaz.bottom}
        width: 480
        height: 30
        color: "blue"
        text:"g(x)= "+gix
    }

}
